<template lang="pug">

  div.main
    div.left-sidebar
      emulatorMenu(v-bind:emulator="emulator")
    div.emulator
      d3-network(v-bind:net-nodes="nodes" v-bind:net-links="links" v-bind:options="options")

</template>
<script lang="ts">

  import emulator from 'emulator'
  import D3Network from 'vue-d3-network'
  import emulatorMenu from 'emulator/emulator-menu.vue'


  export default {
    components: { D3Network, emulatorMenu },
    data () { return { emulator: emulator } },

    computed: {
      nodes() {
        return this.emulator.users;
      },
      links() {
        let links = [];
        for (let user of this.emulator.users) {
          for (let link of user.links) {
            links.push({sid: user.id, tid: link.user})
          }
        }
        return links;
      },
      options() {
        return {
          force: 3000,
          //size:{ w:600, h:600},
          nodeSize: 20,
          nodeLabels: true,
          canvas: false
        }
      },
    }
  };

</script>
<style lang="stylus">

  .main
    height 100%
    display flex
    flex-direction row
    justify-content space-between
    align-items stretch

  .left-sidebar
    width 300px
    background-color #89b1dd

  .emulator
    flex-grow 1

</style>
